Page MenuHomePhabricator

crux: ping * flood is not working
Closed, ResolvedPublic

Description

trying to execute ping x.x.x.x flood gives an error about minimum interval for a user .

vyos@vyos:~$ ping 127.0.0.1 flood
PING 127.0.0.1 (127.0.0.1) 56(84) bytes of data.
ping: cannot flood; minimal interval allowed for user is 200ms

the ping flood needs sudo to be executed

Details

Difficulty level
Unknown (require assessment)
Version
1.2.1
Why the issue appeared?
Will be filled on close

Event Timeline

runar created this task.Jun 18 2019, 6:21 PM
runar created this object in space S1 VyOS Public.
runar added a comment.Jun 18 2019, 6:23 PM

this is also the case for ping 127.0.0.1 count 100 flood

pasik added a subscriber: pasik.Jul 2 2019, 3:29 PM
hagbard claimed this task.Jul 23 2019, 7:56 PM
hagbard changed the task status from Open to Backport candidate.Jul 23 2019, 8:01 PM
hagbard triaged this task as Normal priority.
hagbard moved this task from Need Triage to Backlog on the VyOS 1.3 Equuleus board.
hagbard moved this task from Backlog to Finished on the VyOS 1.3 Equuleus board.Jul 23 2019, 8:09 PM
hagbard removed hagbard as the assignee of this task.Aug 1 2019, 5:49 PM
hagbard added a subscriber: hagbard.
c-po moved this task from Finished to In Progress on the VyOS 1.3 Equuleus board.Aug 5 2019, 12:22 PM
Dmitry added a subscriber: Dmitry.Aug 31 2019, 4:06 PM

After recovering ping flood won't work ping for ipv6, because always run ping command instead ping6

vyos@vyos:~$ ping 2001:4860:4860::8888
ping: unknown host 2001:4860:4860::8888

vyos@vyos:~$ show log
Aug 31 19:05:13 vyos sudo:     vyos : TTY=pts/0 ; PWD=/home/vyos ; USER=root ; COMMAND=/bin/ping 2001:4860:4860::8888
...

https://github.com/vyos/vyatta-op/pull/28

syncer closed this task as Resolved.Aug 31 2019, 8:21 PM
syncer claimed this task.
syncer moved this task from Backlog to Finished on the VyOS 1.2 Crux (VyOS 1.2.3) board.
syncer moved this task from In Progress to Finished on the VyOS 1.3 Equuleus board.